#Module-Specific definitions
%define mod_version 0.5
%define release 1mdk
%define mod_name mod_clamav
%define mod_conf 86_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename %{mod_name}-%{mod_version}

#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%{expand:%%global ap_version %(%{apxs} -q ap_version)}

# Standard Module Definitions
%define name %{ap_name}-%{mod_name}
%define version %{ap_version}_%{mod_version}

#Standard ADVX requires
Prereq:		%{ap_name} = %{ap_version}
Prereq:		%{ap_name}-conf
BuildRequires:  ADVX-build >= 1.1
BuildRequires:  %{ap_name}-devel >= 2.0.43-5mdk
Provides: 	ADVXpackage
Provides:	AP20package

Summary:	Clam virus scanning filter DSO for %{ap_name}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
Source0:	%{sourcename}.tar.bz2
Patch0:		%{sourcename}-configure.patch.bz2
Source1:	%{mod_conf}.bz2
License:	GPL
URL:		http://software.othello.ch/mod_clamav/
BuildRoot:	%{_tmppath}/%{name}-buildroot
Prereq:		rpm-helper
Requires:	libclamav1 clamd clamav clamav-db
BuildRequires:	libclamav1-devel

%description
%{mod_name} is an apache 2 filter module to allow virus checking
of all HTTP all reply data. By adding the filter to the Proxy
location, all requests mediated by an apache2 proxy can be scanned
for viruses.

%prep

%setup -q -n %{sourcename}
%patch0 -p1

%build

# not used with make
%configure --with-apache=%{_prefix}

#%{apxs} -DCLAMAV_DEBUG=\"1\" -c %{mod_name}.c -Wl,-lclamav
%{apxs} -c %{mod_name}.c -Wl,-lclamav

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}/var/spool/%{mod_name}

%ADVXinstlib
%ADVXinstconf %{SOURCE1} %{mod_conf}
%ADVXinstdoc %{name}-%{version}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README TODO mod_clamav.html
%config(noreplace) %{ap_confd}/%{mod_conf}
%{ap_extralibs}/%{mod_so}
%{ap_webdoc}/*
%dir %attr(0755,apache,apache) /var/spool/%{mod_name}

%changelog
* Sun Mar 02 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_0.5-1mdk
- initial cooker contrib
